# docker compose cp

<!---MARKER_GEN_START-->
Copy files/folders between a service container and the local filesystem

### Options

| Name                  | Type   | Default | Description                                             |
|:----------------------|:-------|:--------|:--------------------------------------------------------|
| `-a`, `--archive`     | `bool` |         | Archive mode (copy all uid/gid information)             |
| `--dry-run`           | `bool` |         | Execute command in dry run mode                         |
| `-L`, `--follow-link` | `bool` |         | Always follow symbol link in SRC_PATH                   |
| `--index`             | `int`  | `0`     | Index of the container if service has multiple replicas |


<!---MARKER_GEN_END-->

